# Getting Started {#getting-started}

Welcome to the elementary Developer Guide! This book was created to teach you all about creating and distributing apps for elementary OS. The introduction will make sure that you have all the tools for the job and a solid understanding of what this book is about. Some of you may feel confident enough to jump straight into coding. If that's the case, you might want to skip ahead and start writing your first app.

However, we strongly recommend to at least skim through this preparation step. Having the right setup is going to help you reach your goals faster, and having a solid foundation is going to help you throughout the rest of this book.

## What We Will And Won't Cover {#what-we-will-and-wont-cover}

We're going to assume that you have absolutely no experience in writing apps for elementary. But we will assume some basic programming knowledge, and hopefully a little experience in Vala or at least similarly syntaxed languages. If you're not familiar with Vala, we highly encourage you to brush up on it before coming here.

We’re also not covering design too much in this guide; that’s what the [Human Interface Guidelines](/docs/human-interface-guidelines) (HIG) are for, and you’re highly encouraged to take a look there before beginning your app. We're going to assume you have a basic knowledge of (or at least a quick link to) the HIG and focus on coding. However, elementary is all about great design and stellar consistency. It’s important you grasp these concepts before moving on.

In this book, we're going to talk about building apps using GTK+, Granite, and other tech available in elementary, setting up a build system, hosting your code for collaborative development, working with translations, a few other bits and pieces, and finally packaging and distributing your new app.

## Imagine That You're Learning to Drive a Car {#imagine-youre-learning-to-drive-a-car}

As a student driver, you wouldn't expect us to teach you about the inner workings of the car in order to get from one spot to another. Rather, you would expect to hear about the rules of the road and the technique required to make the car perform certain maneuvers. In much the same way, we won't be creating a computer engineering guidebook. We are going to cover concepts on more of a macro level than a micro level. To take the car analogy a different way, as a student mechanic we're going to teach you how to change the oil, swap out the seats, and adjust the suspension. What we're not going to do is covering every engineering aspect of internal combustion, aerodynamics, and the like.

#### Next Page: [The Basic Setup](/docs/code/the-basic-setup) {.text-right}